<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /private/tmp/release/1.8.1/avs-cpp-sdk-tools/cm/autoCM_privateRepo/avs-cpp-sdk/AVSCommon/Utils/src/LibcurlUtils -&gt; include Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.8.1</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a></li><li class="navelem"><a class="el" href="dir_93a54634d0ab52618b36b15672961616.html">src</a></li><li class="navelem"><a class="el" href="dir_8c36055f000274ee212dc5eb2574a4ea.html">LibcurlUtils</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>LibcurlUtils &rarr; include Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in AVSCommon/Utils/src/LibcurlUtils</th><th class="dirtab">Includes file in AVSCommon/Utils/include</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_callback_data_8cpp.html">CallbackData.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_callback_data_8h.html">CallbackData.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_callback_data_8cpp.html">CallbackData.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_curl_easy_handle_wrapper_8cpp.html">CurlEasyHandleWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_curl_easy_handle_wrapper_8h.html">CurlEasyHandleWrapper.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_curl_easy_handle_wrapper_8cpp.html">CurlEasyHandleWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_response_codes_8h.html">HttpResponseCodes.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_curl_easy_handle_wrapper_8cpp.html">CurlEasyHandleWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_libcurl_utils_8h.html">LibcurlUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_curl_easy_handle_wrapper_8cpp.html">CurlEasyHandleWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_curl_multi_handle_wrapper_8cpp.html">CurlMultiHandleWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_curl_multi_handle_wrapper_8h.html">CurlMultiHandleWrapper.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_curl_multi_handle_wrapper_8cpp.html">CurlMultiHandleWrapper.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_h_t_t_p_content_fetcher_factory_8cpp.html">HTTPContentFetcherFactory.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_h_t_t_p_content_fetcher_factory_8h.html">HTTPContentFetcherFactory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_h_t_t_p_content_fetcher_factory_8cpp.html">HTTPContentFetcherFactory.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_lib_curl_http_content_fetcher_8h.html">LibCurlHttpContentFetcher.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_h_t_t_p_content_fetcher_factory_8cpp.html">HTTPContentFetcherFactory.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_post_8cpp.html">HttpPost.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_post_8h.html">HttpPost.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_post_8cpp.html">HttpPost.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_response_codes_8h.html">HttpResponseCodes.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_post_8cpp.html">HttpPost.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_libcurl_utils_8h.html">LibcurlUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_post_8cpp.html">HttpPost.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_put_8cpp.html">HttpPut.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_callback_data_8h.html">CallbackData.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_put_8cpp.html">HttpPut.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_put_8h.html">HttpPut.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_put_8cpp.html">HttpPut.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_http_response_codes_8h.html">HttpResponseCodes.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_http_put_8cpp.html">HttpPut.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_h_t_t_p_response_8cpp.html">HTTPResponse.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_h_t_t_p_response_8h.html">HTTPResponse.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_lib_curl_http_content_fetcher_8cpp.html">LibCurlHttpContentFetcher.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_curl_easy_handle_wrapper_8h.html">CurlEasyHandleWrapper.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_lib_curl_http_content_fetcher_8cpp.html">LibCurlHttpContentFetcher.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_67f252838b28d15e64579aa37f54606c.html">SDS</a>&#160;/&#160;<a class="el" href="_in_process_s_d_s_8h.html">InProcessSDS.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_lib_curl_http_content_fetcher_8cpp.html">LibCurlHttpContentFetcher.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_lib_curl_http_content_fetcher_8h.html">LibCurlHttpContentFetcher.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_lib_curl_http_content_fetcher_8cpp.html">LibCurlHttpContentFetcher.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_0e8af6b478d9d3942030011489161c8b.html">Memory</a>&#160;/&#160;<a class="el" href="_memory_8h.html">Memory.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_libcurl_utils_8cpp.html">LibcurlUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_afaa3f3d841804ab5aeaebc7aa06ead7.html">Configuration</a>&#160;/&#160;<a class="el" href="_configuration_node_8h.html">ConfigurationNode.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_libcurl_utils_8cpp.html">LibcurlUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_6ba3b1a153b1f9de381c75d191edb957.html">LibcurlUtils</a>&#160;/&#160;<a class="el" href="_libcurl_utils_8h.html">LibcurlUtils.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="_libcurl_utils_8cpp.html">LibcurlUtils.cpp</a></td><td class="dirtab"><a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_432ae366851f981ad5bcb252f92369c5.html">Logger</a>&#160;/&#160;<a class="el" href="_logger_8h.html">Logger.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.8.1 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
